# Multi-entity: List entities Retrieves detailed information of certain entities in a multi-entity hierarchy. You can retrieve: - Provisioned entities - Unprovisioned entities - Both provisioned and unprovisioned entities ### User Access Permission You can make the call as any entity user. Endpoint: GET /v1/entities Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Query parameters: - `provisioned` (string) Specify whether to retrieve provisioned or unprovisioned entities: - true: Provisioned entities - false: Unprovisioned entities If you do not specify this field in the request, both the provisioned and unprovisioned entities are returned. ## Response 200 fields (application/json): - `entities` (array) Container for one or more entities in a multi-entity hierarchy. - `entities.displayName` (string) The display name of the entity that is shown in the Zuora UI and APIs. - `entities.id` (string) The entity Id. - `entities.locale` (string) The locale that is used in this entity. - `entities.name` (string) The name of the entity. - `entities.parentId` (string) The Id of the parent entity. - `entities.status` (string) The status of the entity. Enum: "Provisioned", "Unprovisioned" - `entities.tenantId` (string) The Id of the tenant that the entity belongs to. - `entities.timezone` (string) The time zone that is used in this entity. - `success` (boolean) Returns true if the request is successful.